Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.events
Class SelectionAdapter

    java.lang.Object
      org.eclipse.swt.events.SelectionAdapter

All Implemented Interfaces:
  EventListener, SelectionListener, org.eclipse.swt.internal.SWTEventListener

public abstract class SelectionAdapter
extends Object
implements SelectionListener

This adapter class provides default implementations for the methods described by the `SelectionListener` interface.

Classes that wish to deal with `SelectionEvent`s can extend this class and override only the methods which they are interested in.

See Also:
  `SelectionListener`, `SelectionEvent`

Constructor Summary
`SelectionAdapter()`

Method Summary
`void` | `widgetDefaultSelected(SelectionEvent e)` Sent when default selection occurs in the control.
`void` | `widgetSelected(SelectionEvent e)` Sent when selection occurs in the control.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionAdapter

    public SelectionAdapter()

Method Detail

### widgetSelected

    public void widgetSelected(SelectionEvent e)

  Sent when selection occurs in the control. The default behavior is to do nothing.

  Specified by:
    `widgetSelected` in interface `SelectionListener`
  Parameters:
    `e` - an event containing information about the selection

### widgetDefaultSelected

    public void widgetDefaultSelected(SelectionEvent e)

  Sent when default selection occurs in the control. The default behavior is to do nothing.

  Specified by:
    `widgetDefaultSelected` in interface `SelectionListener`
  Parameters:
    `e` - an event containing information about the default selection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.